> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Product Feedback

> Submit authenticated product feedback for a public account principal.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.en.json POST /v1/public/accounts/{account_id}/feedback
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/feedback:
    post:
      tags:
        - public-accounts
        - public-feedback
      summary: Submit Product Feedback
      description: Submit authenticated product feedback for a public account principal.
      operationId: >-
        submit_public_product_feedback_v1_public_accounts__account_id__feedback_post
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProductFeedbackSubmitRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductFeedbackResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - PublicBearerAuth: []
components:
  schemas:
    ProductFeedbackSubmitRequest:
      additionalProperties: false
      description: Authenticated product feedback submission body.
      properties:
        attributes:
          additionalProperties: true
          title: Attributes
          type: object
        category:
          enum:
            - bug_report
            - product_feedback
            - feature_request
            - other
          title: Category
          type: string
        description:
          maxLength: 10000
          minLength: 1
          title: Description
          type: string
        paid_product_feature:
          default: false
          title: Paid Product Feature
          type: boolean
        title:
          maxLength: 500
          minLength: 1
          title: Title
          type: string
      required:
        - category
        - title
        - description
      title: ProductFeedbackSubmitRequest
      type: object
    ProductFeedbackResponse:
      properties:
        account_id:
          format: uuid
          title: Account Id
          type: string
        admin_notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Admin Notes
        attributes:
          additionalProperties: true
          title: Attributes
          type: object
        category:
          enum:
            - bug_report
            - product_feedback
            - feature_request
            - other
          title: Category
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        created_by_user_id:
          format: uuid
          title: Created By User Id
          type: string
        description:
          title: Description
          type: string
        id:
          format: uuid
          title: Id
          type: string
        paid_product_feature:
          title: Paid Product Feature
          type: boolean
        status:
          enum:
            - new
            - triaged
            - planned
            - in_progress
            - closed
          title: Status
          type: string
        submitter_email:
          title: Submitter Email
          type: string
        submitter_name:
          title: Submitter Name
          type: string
        title:
          title: Title
          type: string
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - id
        - account_id
        - created_by_user_id
        - submitter_email
        - submitter_name
        - category
        - status
        - title
        - description
        - paid_product_feature
        - attributes
        - created_at
        - updated_at
      title: ProductFeedbackResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````